Page MenuHomePhabricator

[Story] Setting languages with Babel boxes does not work for global user page
Closed, ResolvedPublic

Description

When the user has no local but only a global user page then the babel box on the global user page doesn't influence the in other languages box as it should.

On Wikidata my userpage (https://www.wikidata.org/wiki/User:Multichill) contains {{#babel:nl|en-3|de-1|fr-1|es-0|pt-0}} so when I edit an item or a property I see the interface in English, German, Spanish, French, Dutch & Portuguese. I noticed that https://www.wikidata.org/wiki/User:Coyau got deleted. On meta that page contains {{#babel:fr-N|en-1}}, but the local interface on Wikidata won't show up in French and English for this user.
That #babel on meta should have the same effect on the Wikidata interface as a local #babel.

The bug T90398 relates to this: The babel extension uses categories to store it's information. So for example if you look at my user page you'll see "Categories:User nlUser nl-NUser enUser en-3User deUser de-1User frUser fr-1User esUser es-0User ptUser pt-0". Having that bug solved would probably cover this story, solving it in a different cleaner way would be nice to (maybe even better).

Event Timeline

Lydia_Pintscher raised the priority of this task from to Normal.
Lydia_Pintscher updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2015, 10:06 AM
Jonas renamed this task from setting languages with Babel boxes does not work for global user page to [Bug] setting languages with Babel boxes does not work for global user page.Aug 15 2015, 12:53 PM
Jonas set Security to None.
This comment was removed by Ricordisamoa.
thiemowmde renamed this task from [Bug] setting languages with Babel boxes does not work for global user page to [Story] Setting languages with Babel boxes does not work for global user page.Aug 24 2015, 8:08 AM
Multichill updated the task description. (Show Details)Oct 16 2015, 7:45 PM
Multichill added a project: I18n.

Change 309950 had a related patch set uploaded (by Legoktm):
Allow reading Babel information from a central API

https://gerrit.wikimedia.org/r/309950

Legoktm claimed this task.Sep 12 2016, 8:40 AM

That's the last commit in a chain of 3 which will let us resolve this bug.

  1. https://gerrit.wikimedia.org/r/309937 - Store babel information in the database
  2. https://gerrit.wikimedia.org/r/309948 - Add API action=query&meta=babel module
  3. https://gerrit.wikimedia.org/r/309950 - Allow reading Babel information from a central API

Change 309950 merged by jenkins-bot:
Allow reading Babel information from a central API

https://gerrit.wikimedia.org/r/309950

I didn't know about that, thanks for the pointer, I've commented there.

All the patches have been merged now \o/ once wmf.21 is deployed, I'll work on configuring the different settings and announcement stuffs.

Amire80 added a subscriber: Amire80.

Can this be enabled in Wikimedia projects after T145366 is resolved? Are there any other blockers?

That's all that's left I think.

Liuxinyu970226 awarded a token.
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 26 2017, 11:45 PM

I think both of those patches have been deployed. So once T145366 is resolved, the next step would be to set:

$wgBabelCentralDb = 'metawiki';
$wgBabelCentralApi = 'https://meta.wikimedia.org/w/api.php';

for all SUL wikis in InitialiseSettings.php.

All patches are merged and it seems it works just fine now. I close this as resolved, feel free to re-open if the problem persists

Ladsgroup closed this task as Resolved.Aug 2 2017, 8:34 AM
Ladsgroup removed a project: Patch-For-Review.
Lea_Lacroix_WMDE reopened this task as Open.Aug 4 2017, 9:40 AM
Lea_Lacroix_WMDE added a subscriber: Lea_Lacroix_WMDE.

It seems that troubles with babel boxes happen again. Users are noticing that their babel boxes are not influencing the languages on Wikidata anymore. Maybe this is related? Thanks for having a look.

@Lea_Lacroix_WMDE for what I see the problem seems to be that the new tables are populated only for meta. If a local user page is used instead of a global user page a null edit in the user page fixes the problem. Maybe the script used to populate the tables on meta should be used also in Wikidata (and in all the other wikis if the babel info is used also in those wikis for something)?

Null edit of my user page https://www.wikidata.org/wiki/User:Vinkje83 does not solve the problem.

Null edit of my user page https://www.wikidata.org/wiki/User:Vinkje83 does not solve the problem.

You're not using the Babel extension. You've manually added your userpage to the language categories. You need to add the languages using {{#babel:...|...}}.

Added Babel box. Solved the problem. Thanks.

Vinkje83 removed a subscriber: Vinkje83.Aug 5 2017, 1:03 PM

@Lea_Lacroix_WMDE are any other users still having problems?

@Legoktm Yes, Envlh https://www.wikidata.org/wiki/User:Envlh just told me that he still has the problem.

Envlh added a subscriber: Envlh.Dec 3 2017, 9:12 PM

Sorry, I didn't see this task as I wasn't added to it. The problem was solved for me a few hours/days later in August. Thanks :)

Thanks to @Envlh for confirming, and thanks to @Legoktm and everybody else who worked on this.

As far as I know, this is resolved. Please reopen if needed.

Lydia_Pintscher closed this task as Resolved.Dec 4 2017, 9:52 AM